*{
    box-sizing: border-box;
}

.contenedorFlex{
    display: flex;
    width: 400px;
    flex-direction: row;
    flex-wrap: wrap;

    background-color: burlywood;
    padding: 10px;
    border: 2px solid black;

}
.contenedorFlexxd{
    display: flex;
    width: 800px;
    flex-direction: row;
   justify-content: center;
    background-color: rgb(184, 78, 30);
    padding: 10px;
    border: 2px solid black;

}
.contenedorFlexdd{
    display: flex;
    width: 800px;
    flex-direction: row;
   justify-content: end;
    background-color: rgb(33, 30, 184);
    padding: 10px;
    border: 2px solid black;

}
.contenedorFlexddw{
    display: flex;
    width: 800px;
    flex-direction: row;
   justify-content: start;
    background-color: rgb(161, 184, 30);
    padding: 10px;
    border: 2px solid black;

}
.contenedorFlexdde{
    display: flex;
    width: 800px;
    flex-direction: row;
   justify-content: space-around;
    background-color: rgb(184, 30, 133);
    padding: 10px;
    border: 2px solid black;

}
.contenedorFlexddm{
    display: flex;
    width: 800px;
    flex-direction: row;
   justify-content: space-between;
    background-color: rgb(184, 135, 30);
    padding: 10px;
    border: 2px solid black;

}
.contenedorFlexwr{
    display: flex;
    width: 400px;
    flex-direction: row;
    flex-wrap: wrap-reverse;
    background-color: rgb(184, 135, 30);
    padding: 10px;
    border: 2px solid black;

}
.contenedorFlexal{
    display: flex;
    width: 400px;
    height: 600px;
    flex-direction: row;
    align-items: center;
    background-color: rgb(184, 30, 30);
    padding: 10px;
    border: 2px solid black;

}
.contenedorFlexalend{
    display: flex;
    width: 400px;
    height: 600px;
    flex-direction: row;
    align-items: flex-end;
    background-color: rgb(11, 41, 138);
    padding: 10px;
    border: 2px solid black;

}
.contenedorFlexnu{
    display: flex;
    width: 800px;
    height: 400px;
    flex-direction: row;
    align-items: center;
    background-color: rgb(105, 150, 21);
    padding: 10px;
    border: 2px solid black;
    text-align: center;
    justify-content: space-around;

}
.item:hover{

    background-color: aqua;
}
.item{

    background-color: rgb(133, 110, 110);
    width: 100px;
    margin: 10px;
    border: 2px solid ;
    text-align: center;
    line-height: 25px;
    font-size: 25px;
    
}